# advanceRequestsBeforeCancellingLine

Field in [LineAdvancer](/api/csharp/yarn.unity/yarn.unity.lineadvancer.md)

## Summary

The number of times that a 'hurry up' signal occurs before the line advancer requests that the next line be shown.

```csharp
public int advanceRequestsBeforeCancellingLine = 2;
```

## See Also

* [LineAdvancer.multiAdvanceIsCancel](/api/csharp/yarn.unity/yarn.unity.lineadvancer/yarn.unity.lineadvancer.multiadvanceiscancel.md): If `true` , repeatedly signalling that the line should be hurried up will cause the line advancer to request that the next line be shown.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.lineadvancer/yarn.unity.lineadvancer.advancerequestsbeforecancellingline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
